# AIStationList_Vehicle Class Reference
[Classes that create a list of items.]

Creates a list of stations which the vehicle has in its orders. More...

`#include <ai_stationlist.hpp>`

Inheritance diagram for AIStationList_Vehicle:

## Public Member Functions
| AIStationList_Vehicle (VehicleID vehicle_id)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of stations which the vehicle has in its orders.

Definition at line 29 of file ai_stationlist.hpp.

## Constructor & Destructor Documentation

AIStationList_Vehicle::AIStationList_Vehicle | ( | VehicleID | vehicle_id | ) |

Parameters:

  | vehicle_id | The vehicle to get the list of stations he has in its orders from.

Definition at line 19 of file ai_stationlist.cpp.

References AIAbstractList::AddItem(), and AIVehicle::IsValidVehicle().

The documentation for this class was generated from the following files:

- src/ai/api/ai_stationlist.hpp
- src/ai/api/ai_stationlist.cpp